KDE won't install

Questions about applications and software
Forum rules
Before you post please read this

KDE won't install

Postby kcredden on Sat Jan 18, 2014 2:23 pm

Good day, all:

I've just spent nearly 8 hours downloading KDE 4.x for LMDE 64b, and basically; it won't install.

I believe the problem is due to two things; plymouth, and initramfs-tools - which appears to be interrelated.

I cannot upgrade Plymouth for it needs something, and that something will not upgrade because of dependency problems.

I have the install files saved on another hard-drive, so I don't need to download KDE again, but it will not install, and I'm stuck with LMDE Cinnamon for the time being.

I will note; I've installed on this system 2x. The first went fine, I was able to install KDE-full without a problem too. This was about six months ago.

The 2nd, a few days ago was caused by a bad upgrade that wrecked my system when it updated the NVidia binary driver. Because of all the headaches involved with installing nVidia, and finding Novenau now offers dual monitor with separate screens, I'm done with nVidia. Clonezilla made a bad image so I was forced to completely re-install the system. (I now use FSArcvhiver, which I know works, and it's interface isn't nearly uncompromisable, as Clonezilla.)

The error in installing KDE-Full is:

Code: Select all
zeus kcredden # apt-get install kde-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
kde-full is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1165 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up initramfs-tools (0.113) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
cp: cannot stat `/usr/lib/x86_64-linux-gnu/pango/1.6.0/module-files.d/libpango1.0-0.modules': No such file or directory
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-3.2.0-4-amd64 with 1.
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
zeus kcredden #


Can anyone help?
My system:

No LSB modules are available.
Distributor ID: LinuxMint
Description: LMDE Cinnamon Edition
Release: 1
Codename: debian

Linux version 3.2.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-12) ) #1 SMP Debian 3.2.32-1
kcredden
Level 1
Level 1
 
Posts: 1
Joined: Sat Jan 18, 2014 1:55 pm

Linux Mint is funded by ads and donations.
 

Re: KDE won't install

Postby Monsta on Sun Jan 19, 2014 4:24 am

kcredden wrote:I was forced to completely re-install the system.
kcredden wrote:Linux version 3.2.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-12) ) #1 SMP Debian 3.2.32-1

First, you're making a common mistake: installing something without updating LMDE to the latest Update Pack first. Upgrade your system.

Second, there may be problems with KDE installation.
Monsta
Level 8
Level 8
 
Posts: 2022
Joined: Fri Aug 19, 2011 3:46 am


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 4 guests